org.apache.ignite.internal.processors.cache.persistence.wal.reader

## Class StrictBoundsCheckException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.wal.reader.StrictBoundsCheckException

All Implemented Interfaces:
  Serializable

    public class StrictBoundsCheckException
    extends IgniteCheckedException

This exception is used in checking boundaries (StandaloneWalRecordsIterator).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StrictBoundsCheckException(String mesg)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StrictBoundsCheckException

    public StrictBoundsCheckException(String mesg)

Parameters:
  `mesg` - Message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022